Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct.util
Class LpPrinterTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.util.LpPrinterTest

All Implemented Interfaces:
  Test

    public class LpPrinterTest

extends TestCase

Contains tests of the non-abstract methods in the `LpPrinter` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpPrinter`

Constructor Summary
`LpPrinterTest(String testName)` A default test case constructor.

Method Summary
`void` | `test()` Tests methods implemented in LpPrinter, i.e. appending a character sequence, a character and a subsequence and resetting the sequence.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LpPrinterTest

    public LpPrinterTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### test

    public void test()

  Tests methods implemented in LpPrinter, i.e. appending a character sequence, a character and a subsequence and resetting the sequence.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD